package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 相册管理对象 cms_album
 * 
 * @author libao
 * @date 2024-05-09
 */
public class CmsAlbum extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 相册ID */
    private String albumId;

    /** 相册名称 */
    @Excel(name = "相册名称")
    private String albumName;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private String userId;

    /** 部门ID */
    @Excel(name = "部门ID")
    private String deptId;

    /** 相册类型 */
    @Excel(name = "相册类型")
    private String albumType;

    /** 封面图片 */
    @Excel(name = "封面图片")
    private String coverImage;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer auditState;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 宽度 */
    @Excel(name = "宽度")
    private Integer width;

    /** 高度 */
    @Excel(name = "高度")
    private Integer height;

    /** 点击数 */
    @Excel(name = "点击数")
    private Long hit;

    /** 点赞数 */
    @Excel(name = "点赞数")
    private Long upVote;

    /** 是否开启评论 */
    @Excel(name = "是否开启评论")
    private Integer commentFlag;

    public void setAlbumId(String albumId) 
    {
        this.albumId = albumId;
    }

    public String getAlbumId() 
    {
        return albumId;
    }
    public void setAlbumName(String albumName) 
    {
        this.albumName = albumName;
    }

    public String getAlbumName() 
    {
        return albumName;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }
    public void setAlbumType(String albumType) 
    {
        this.albumType = albumType;
    }

    public String getAlbumType() 
    {
        return albumType;
    }
    public void setCoverImage(String coverImage) 
    {
        this.coverImage = coverImage;
    }

    public String getCoverImage() 
    {
        return coverImage;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }
    public void setAuditState(Integer auditState) 
    {
        this.auditState = auditState;
    }

    public Integer getAuditState() 
    {
        return auditState;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setWidth(Integer width) 
    {
        this.width = width;
    }

    public Integer getWidth() 
    {
        return width;
    }
    public void setHeight(Integer height) 
    {
        this.height = height;
    }

    public Integer getHeight() 
    {
        return height;
    }
    public void setHit(Long hit) 
    {
        this.hit = hit;
    }

    public Long getHit() 
    {
        return hit;
    }
    public void setUpVote(Long upVote) 
    {
        this.upVote = upVote;
    }

    public Long getUpVote() 
    {
        return upVote;
    }
    public void setCommentFlag(Integer commentFlag) 
    {
        this.commentFlag = commentFlag;
    }

    public Integer getCommentFlag() 
    {
        return commentFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("albumId", getAlbumId())
            .append("albumName", getAlbumName())
            .append("userId", getUserId())
            .append("deptId", getDeptId())
            .append("albumType", getAlbumType())
            .append("coverImage", getCoverImage())
            .append("description", getDescription())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("auditState", getAuditState())
            .append("code", getCode())
            .append("width", getWidth())
            .append("height", getHeight())
            .append("hit", getHit())
            .append("upVote", getUpVote())
            .append("commentFlag", getCommentFlag())
            .toString();
    }
}
