package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 相册关联素材表对象 cms_album_material
 *
 * @author libao
 * @date 2024-05-11
 */
public class CmsAlbumMaterial extends CmsMaterial
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 专辑ID */
    @Excel(name = "专辑ID")
    private String albumId;

    /** 素材ID */
    @Excel(name = "素材ID")
    private String materialId;

    /** 链接 */
    @Excel(name = "链接")
    private String link;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAlbumId(String albumId)
    {
        this.albumId = albumId;
    }

    public String getAlbumId()
    {
        return albumId;
    }
    public void setMaterialId(String materialId)
    {
        this.materialId = materialId;
    }

    public String getMaterialId()
    {
        return materialId;
    }
    public void setLink(String link)
    {
        this.link = link;
    }

    public String getLink()
    {
        return link;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("albumId", getAlbumId())
            .append("materialId", getMaterialId())
            .append("link", getLink())
            .append("sort", getSort())
            .toString();
    }
}
